/*
		Crea un archivo de audio desde cero, para eso debo escribir su cabecera.
		El audio estar vaco.

*/


#include "sndlib/io.h"
#include "sndlib/headers.h"
#include "sndlib/sound.h"

#include "funcs/defs.h"
#include "funcs/es.h"


int main(int argc, char **argv)
{
	    /* 
			creo un objeto que contendr datos de audio.
			Creamos un audio estereo, cuya frecuencia de muestreo es de 44100, y de tipo wav.
			Por ms que le pongamos una duracin y cantidad de muestras, el audio estar vaco
			porque no se escribe ninguna muestra. Es decir, no necesariamente el audio que creemos
			reflejar lo que realmente pasa en el audio.
			*/
	DAUDIO dau = {-1, 2, 44100, 88200 * 2, 88200, 2, MUS_LSHORT, MUS_RIFF, "creado por sndcrear"};

		/* ahora chequeo que los argumentos sean los correctos */
	if(ChequearEntrada(argc, 2, "Lnea de comando: falta nombre de archivo", "sndleerenc") == -1)
		{
    getchar();
    return -1;
		}
  mus_sound_initialize();	            /* inicializo sndlib, sta llamada siempre es necesaria */

	AbrirAudioSalida(argv[1], &dau);   /* preparamos el audio de salida, o lo creamos */
	if(dau.na == -1)
    return -1;

	ImprDatosDeAudio(argv[1], &dau, "\nAUDIO DE SALIDA");   /* imprimimos sus datos */

	close(dau.na);    /* cerramos el archivo */
	return 0;
}












